## org.apache.commons.math.genetics
Interface SelectionPolicy

All Known Implementing Classes:
  TournamentSelection

    public interface SelectionPolicy

Algorithm used to select a chromosome pair from a population.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Method Summary
`ChromosomePair` `select(Population population)` Select two chromosomes from the population.

Method Detail

### select

    ChromosomePair select(Population population)

  Select two chromosomes from the population.

  Parameters:
    `population` - the population from which the chromosomes are choosen.
  Returns:
    the selected chromosomes.

Copyright (c) 2003-2010 Apache Software Foundation